Package org.acplt.oncrpc.server

# Class OncRpcServerAuthShort

java.lang.Object
org.acplt.oncrpc.server.OncRpcServerAuthShort

All Implemented Interfaces:
  `OncRpcServerAuth`

public final class OncRpcServerAuthShort extends Object implements OncRpcServerAuth
The `OncRpcServerAuthShort` class handles all protocol issues of the ONC/RPC authentication `AUTH_SHORT` on the server side.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Constructor Summary

Constructors
Constructor
Description
`OncRpcServerAuthShort()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getAuthenticationType()`
Returns the type (flavor) of `authentication` used.
`final byte[]`
`getShorthandCred()`
Returns the shorthand credential sent by the caller.
`final byte[]`
`getShorthandVerifier()`
Returns the shorthand verifier to be sent back to the caller.
`final void`
`setShorthandVerifier(byte[] shorthandVerf)`
Sets shorthand verifier to be sent back to the caller.
`final void`
`xdrDecodeCredVerf(XdrDecodingStream xdr)`
Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.
`final void`
`xdrEncodeVerf(XdrEncodingStream xdr)`
Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OncRpcServerAuthShort

public OncRpcServerAuthShort()

## Method Details

### getAuthenticationType

public final int getAuthenticationType()
Returns the type (flavor) of `authentication` used.

Specified by:
  `getAuthenticationType` in interface `OncRpcServerAuth`
Returns:
  Authentication type used by this authentication object.

### getShorthandCred

public final byte[] getShorthandCred()
Returns the shorthand credential sent by the caller.

Returns:
  A byte array containing the shorthand credential.

### setShorthandVerifier

public final void setShorthandVerifier(byte[] shorthandVerf)
Sets shorthand verifier to be sent back to the caller. The caller then can use this shorthand verifier as the new credential with the next ONC/RPC calls. If you don't set the verifier or set it to `null`, then the verifier returned to the caller will be of type `AUTH_NONE`.

Parameters:
  `shorthandVerf` - A byte array containing the shorthand verifier.

### getShorthandVerifier

public final byte[] getShorthandVerifier()
Returns the shorthand verifier to be sent back to the caller.

Returns:
  A byte array containing the shorthand verifier.

### xdrDecodeCredVerf

public final void xdrDecodeCredVerf(XdrDecodingStream xdr) throws OncRpcException, IOException
Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.

Specified by:
  `xdrDecodeCredVerf` in interface `OncRpcServerAuth`
Parameters:
  `xdr` - An XDR decoding stream
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.

### xdrEncodeVerf

public final void xdrEncodeVerf(XdrEncodingStream xdr) throws OncRpcException, IOException
Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

Specified by:
  `xdrEncodeVerf` in interface `OncRpcServerAuth`
Parameters:
  `xdr` - An XDR encoding stream
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `IOException` - if an I/O error occurs.